Skip to main content

Account Settings Metadata

View as Markdown

SettingsMetadata object

namestringPublic Preview

Name of the setting.

descriptionstringPublic Preview

Setting description for what this setting controls

typestringPublic Preview

Sample message depicting the type of the setting. To set this setting, the value sent must match this type.

preview_phasestringBeta

Preview phase for feature preview settings. This field is not set for non-preview settings.

Values: PREVIEW_PHASE_UNSPECIFIED, PRIVATE_PREVIEW, PUBLIC_PREVIEW, BETA, GA_SOON, GA

display_namestringBeta

Human-readable display name for the setting or feature preview. This field may be unset if no display name is available.

List Public Preview

GET /api/2.1/accounts/{account_id}/settings-metadata

List valid setting keys and metadata. These settings are available to be referenced via GET settingsv2/getpublicaccountsetting and PATCH settingsv2/patchpublicaccountsetting APIs

API scopes: settings

Parameters

account_idstringpath

<Databricks> account ID of the account being managed.

page_sizeint32query

The maximum number of settings to return. The service may return fewer than this value. If unspecified, at most 200 settings will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

page_tokenstringquery

A page token, received from a previous ListAccountSettingsMetadataRequest call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to ListAccountSettingsMetadataRequest must match the call that provided the page token.

Response

Returns a list of SettingsMetadata objects.